option
var legendName = []; for (var i = 0, l = eventRiver2Data.length; i < l; i++) { legendName.push(eventRiver2Data[i].name); eventRiver2Data[i].itemStyle = { normal: { label: { show:false } }, emphasis: { label: { show:false } } } } option = { title : { text: 'Event River', subtext: '纯属虚构' }, tooltip : { trigger: 'item', enterable: true }, legend: { data: legendName }, toolbox: { show : true, feature : { mark : {show: true}, restore : {show: true}, saveAsImage : {show: true} } }, xAxis : [ { type : 'time', boundaryGap: [0.05,0.1] } ], series : eventRiver2Data };
切换主题